## hipsolver 7.1.0

=== debian/changelog ===
hipsolver (7.1.0-0ubuntu2) resolute; urgency=medium

  * d/control: update build-dependencies to use upstream llvm

 -- Talha Can Havadar <talha.can.havadar@canonical.com>  Mon, 12 Jan 2026 15:57:39 +0100

hipsolver (7.1.0-0ubuntu1) resolute; urgency=medium

  * New upstream version 7.1.0
  * d/control: remove ppc64el arch. from builds (LP: #2134241)
  * d/gbp.conf: change debian-branch to ubuntu-devel
  * Transition from libhipsolver0 to libhipsolver1
    - Update .symbols file to reflect changes
  * New binary package libhipsolver-fortran1
  * d/p/0002: add soversion for libhipsolver_fortran library
  * d/watch: simplified watch script

 -- Talha Can Havadar <talha.can.havadar@canonical.com>  Fri, 05 Dec 2025 11:22:45 +0100

hipsolver (6.4.3-0ubuntu2) resolute; urgency=medium

  * d/control: use amd-device-libs-rocm as build-dep

 -- Andreas Hasenack <andreas.hasenack@canonical.com>  Tue, 25 Nov 2025 09:43:37 -0300

hipsolver (6.4.3-0ubuntu1) questing; urgency=medium

  * New upstream version 6.4.3
  * d/control: update maintainer field
  * d/control: update build-depends

 -- Igor Luppi <igor.luppi@canonical.com>  Wed, 29 Oct 2025 15:56:58 -0300

hipsolver (6.4.1-1) unstable; urgency=medium

  [ Cordell Bloor ]
  * Upload to unstable
  * Remove Maxime Chambonnet from uploaders
  * Update my email address and copyright
  * Relax Build-Depends version requirements and drop any Build-Depends
    that are optional
  * Add liblapack-dev to B-D as it is required for the tests
  * d/rules: use DEB_HOST_GNU_TYPE for path to hipsolver-test at build time
  * d/rules: use CMAKE_SKIP_INSTALL_RPATH for build time tests
  * Use dynamic loading for sparse functionality on the host
    * libhipsolver0 now recommends libcholmod5 for this purpose
  * Update d/gbp.conf to follow DEP-14
  * Switch test runner over to universal location
  * Drop matrix data from libhipsolver-tests

  [ Kentaro Hayashi ]
  * Use d/watch 5

 -- Cordell Bloor <cgmb@debian.org>  Tue, 18 Nov 2025 17:40:32 -0700

hipsolver (6.4.1-1~exp2) experimental; urgency=medium

  * Add override for false positive license file

 -- Christian Bayle <bayle@debian.org>  Sat, 04 Oct 2025 02:59:30 +0200
