=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export VERBOSE=1

CMAKE_FLAGS = \
	-DCMAKE_BUILD_TYPE=Release \
	-DCMAKE_SKIP_INSTALL_RPATH=ON \
	-DROCM_SYMLINK_LIBS=OFF \
	-DBUILD_FILE_REORG_BACKWARD_COMPATIBILITY=OFF \
	-DHIPSOLVER_FIND_PACKAGE_LAPACK_CONFIG=OFF \
	-DBUILD_HIPSPARSE_TESTS=ON \
	-DBUILD_WITH_SPARSE=OFF \
	-DBUILD_CLIENTS_BENCHMARKS=ON \
	-DBUILD_CLIENTS_TESTS=ON \
	-DHIP_PLATFORM=amd

ifeq (,$(filter nocheck,$(DEB_BUILD_PROFILES)))
CMAKE_FLAGS += -DBUILD_CLIENTS_TESTS=ON
endif

%:
	dh $@ -Scmake

override_dh_auto_configure-arch:
	dh_auto_configure -- $(CMAKE_FLAGS)

override_dh_auto_test-arch:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -e \
	; if [ -r /dev/kfd ] \
	; then obj-$(DEB_HOST_GNU_TYPE)/clients/staging/hipsolver-test \
	; else echo "W: /dev/kfd unreadable: no available AMD GPU." \
	;      echo "W: tests skipped." \
	; fi
endif

override_dh_auto_configure-indep:
	:

override_dh_auto_build-indep:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	rocm-docs-build
	rm -rf build/html/_static/fonts
	rm -rf build/html/_static/vendor
endif

override_dh_auto_test-indep:
	:

override_dh_auto_install-indep:
	:

# see https://manpages.debian.org/testing/debhelper/dh_makeshlibs.1.en.html
# and https://manpages.debian.org/testing/dpkg-dev/dpkg-gensymbols.1.en.html
# To make sure gensymbols fails the build, -c4 to be more strict
override_dh_makeshlibs:
	dh_makeshlibs -V -plibhipsolver1 -- -c4
	dh_makeshlibs -V -plibhipsolver-fortran1 -- -c4
