=== debian/tests/control ===
Test-Command: rocm-test-launcher /usr/libexec/rocm/libhipsolver1-tests/run-tests
Features: test-name=libhipsolver1-tests
Depends: pkg-rocm-tools, libhipsolver1-tests, libhipsparse1, libcholmod5, libopenblas0-pthread
Restrictions: skippable, allow-stderr
Architecture: amd64
